tag project by id

The tag project by id API sends a POST request to save a project snapshot.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a project id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idThe ID of the projectUUID
Request Body
Field nameDescriptionFormat
reasonThe reason for the taggingString
Response Body
Field nameDescriptionFormat
projectIdThe ID of the tagged projectUUID
versionThe created version numberInteger
reasonThe reason saved for the version tagString
versionedByThe user who created the versionString
versionedAtWhen the version was createdDate-time

Examples

{
  "reason": "example reason"
}
{
  "projectId": "00000000-0000-0000-0000-000000000444",
  "version": 1,
  "reason": "example reason",
  "versionedBy": "John Doe",
  "versionedAt": "2026-01-01T00:00:00.000000000Z"
}
Path Params
string
required
Body Params
string
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json